import request from "@/utils/request";
// 部门树形数据
export function GetOrganTree(data) {
  return request({
    url: "/Api/Organ/GetOrganTree",
    method: "post",
    data,
  });
}
// 获取详情
export function OrganGetBillData(data) {
  return request({
    url: "/Api/Organ/GetBillData",
    method: "post",
    data,
  });
}
// 部门保存（新增、修改）
export function OrganSaveData(data) {
  return request({
    url: "/Api/Organ/SaveData",
    method: "post",
    data,
  });
}
// 删除
export function OrganDelData(data) {
  return request({
    url: "/Api/Organ/DelData",
    method: "post",
    data,
  });
}
// 所有公司列表
export function OrganGetCompany(data) {
  return request({
    url: "/api/Organ/GetCompany",
    method: "post",
    data,
  });
}
// 用户所属公司列表
export function OrganGetUserCompany(data) {
  return request({
    url: "/api/Organ/GetUserCompany",
    method: "post",
    data,
  });
}
// 供应商列表
export function OrganGetSupplier(data) {
  return request({
    url: "/api/Vendor/GetBillList",
    method: "post",
    data,
  });
}
// 客户列表
export function OrganGetCustomer(data) {
  return request({
    url: "/api/Customer/GetBillList",
    method: "post",
    data,
  });
}
// 存货档案列表
export function OrganGetStock(data) {
  return request({
    url: "/api/Inventory/GetBillList",
    method: "post",
    data,
  });
}
// 合同阶段列表
export function OrganGetContract(data) {
  return request({
    url: "/api/Phase/GetBillList",
    method: "post",
    data,
  });
}
// 项目分类
export function OrganGetProject(data) {
  return request({
    url: "/api/Classify/GetProBillList",
    method: "post",
    data,
  });
}
// 项目详情
export function projectDetails(data) {
  return request({
    url: "/api/Project/GetBillList",
    method: "post",
    data,
  });
}
// 人员列表
export function OrganGetUser(data) {
  return request({
    url: "/api/Person/GetBillList",
    method: "post",
    data,
  });
}

// 保存合同
export function OrganSaveContract(data) {
  return request({
    url: "/api/Contract/SaveData",
    method: "post",
    data,
  });
}

// 合同子表信息删除(商品)
export function OrganDelContract(data) {
  return request({
    url: "/api/Contract/DelBusiness_Contract_detail",
    method: "post",
    data,
  });
}

// 合同子表信息删除(明细)
export function OrganDelContractDetail(data) {
  return request({
    url: "/api/Contract/DelBusiness_Contract_Phase",
    method: "post",
    data,
  });
}

// 获取项目分类数据
export function ProjectClassification(data) {
  return request({
    url: "/api/Classify/GetProBillList",
    method: "post",
    data,
  });
}

// 获取客户\供应商分类树数据
export function connectionTree(data) {
  return request({
    url: "/api/Classify/GetCusBillList",
    method: "post",
    data,
  });
}

// 获取存货分类数据
export function stockTree(data) {
  return request({
    url: "/api/Classify/GetInvBillList",
    method: "post",
    data,
  });
}
